Jump to content

Sign in to follow this  
DAL1850

DX10SceneryFixer vs Bojote Shader 3.0 Upgrade

Recommended Posts

For many moons now, I've been using Bojote's famed tweaks alone with his HLSL shader library 3.0. Naturally, when I first installed DX10SceneryFixer, the tool complained that the FX files were not "stock" and a bunch of options were grayed out. I reverted to the stock shader set and DX10SceneryFixer ran like a champ - all is well on that front. My question is: are Bojote's shaders compatible or even relevant anymore with the fixer?


Jason Barlow

 

Broadcasting from 1984 via Flux Capacitor operating at 1.21 Jiggawatts!

Share this post


Link to post
Share on other sites

DirectX 10 uses pixel shader 4.0, while DirectX 9 uses up to pixel shader 3.0. DirectX 10 will not only look better but will perform better. You won't need the mod, because FSX will use the 4.0 shaders with DX10.


Jeff Thomson

Share this post


Link to post
Share on other sites

I have an ATI card and the mod gives an FPS boost. Will I lose FPS if i used the fixer insted if the mod?

 

The ATI card got a boost primarily from the Clouds using a better shader in DX9 with SM 3.0 mod.

 

Going to DX10 provides a similar "boost".

 

Without even installing the new DX10 Fixer, you can still "test" the DX10 mode.

 

In DX9 mode, plop your plane on the runway at some medium size airport with the Building Storms Theme in FSX. Or some other cloudy weather. Just sitting there. What FPS are you getting on average? Save that flight.

 

Then switch to DX10 and do the exact same test by loading that same flight.

 

Result?

 

Charles.

Share this post


Link to post
Share on other sites

I knew DX supported HLSL 4.0, but wasn't sure if FSX uses it out of the box (the code can specify which shader version to use). So, the Bojote fix was only applicable to running DX9 - is that correct? Is this entry in my fsx.cfg even relevant under DX10?

 

ALLOW_SHADER_30=1

 

I have an ATI card and DX10 greatly outperforms DX9 in almost every respect, so maybe I'm already getting the best of both worlds now without Bojote.


Jason Barlow

 

Broadcasting from 1984 via Flux Capacitor operating at 1.21 Jiggawatts!

Share this post


Link to post
Share on other sites

I knew DX supported HLSL 4.0, but wasn't sure if FSX uses it out of the box (the code can specify which shader version to use). So, the Bojote fix was only applicable to running DX9 - is that correct? Is this entry in my fsx.cfg even relevant under DX10?

 

ALLOW_SHADER_30=1

 

I have an ATI card and DX10 greatly outperforms DX9 in almost every respect, so maybe I'm already getting the best of both worlds now without Bojote.

 

Correct. The DX10 Fixer does not effect DX9 and Shader Mod 3.0 does not effect DX10.

 

But trying to install and uninstall both on the same FSX install can mess with the other. Example is that SM3.0 patch script is a whole folder replacement of the ShaderHLSL folder in the root of FSX which contains both DX9 and 10 shaders. So if DX10 Fixer or Patch manipulated the contents and then you install SM3.0, they get overwritten. Not sure how that would go.

 

Honestly, if you install SM3.0 for DX9 first and then install the DX10 Fixer, you are fine. The other way around is when it can get sketchy.

 

I keep a virgin copy of the ShaderHLSL folder from FSX Root handy in case I blow it up. Delete and replace with a clean one and done. Start over. :)

 

Charles.

Share this post


Link to post
Share on other sites

 

Honestly, if you install SM3.0 for DX9 first and then install the DX10 Fixer, you are fine. The other way around is when it can get sketchy.

 

I keep a virgin copy of the ShaderHLSL folder from FSX Root handy in case I blow it up. Delete and replace with a clean one and done. Start over. :)

 

Charles.

 

Spot on, I will try and remember to add that into the manual.

Share this post


Link to post
Share on other sites

OK, I have been noticing different discussions on the Shader 3.0 mod for ATI users.  Question......Is the mod relevant for newer Radeon cards, in my case R9 270, and also because of Directx11 using pixel shader 5.0?

Share this post


Link to post
Share on other sites

OK, I have been noticing different discussions on the Shader 3.0 mod for ATI users.  Question......Is the mod relevant for newer Radeon cards, in my case R9 270, and also because of Directx11 using pixel shader 5.0?

You probably should start a new thread, this one is almost 2 years old.


Ric Elmore

 

747-8%20Lufthansa%20Banner%202.jpgAmerican777-300smbanner.jpg 

 

 

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this  

  • Tom Allensworth,
    Founder of AVSIM Online


  • Flight Simulation's Premier Resource!

    AVSIM is a free service to the flight simulation community. AVSIM is staffed completely by volunteers and all funds donated to AVSIM go directly back to supporting the community. Your donation here helps to pay our bandwidth costs, emergency funding, and other general costs that crop up from time to time. Thank you for your support!

    Click here for more information and to see all donations year to date.
  • Donation Goals

    AVSIM's 2020 Fundraising Goal

    Donate to our annual general fundraising goal. This donation keeps our doors open and providing you service 24 x 7 x 365. Your donation here helps to pay our bandwidth costs, emergency funding, and other general costs that crop up from time to time. We reset this goal every new year for the following year's goal.


    18%
    $4,640.00 of $25,000.00 Donate Now
×
×
  • Create New...